gpp {sdpt3r} | R Documentation

## Graph Partitioning Problem

### Description

`gpp` creates input for sqlp to solve the graph partitioning problem.

### Usage

    gpp(B, alpha)

### Arguments

`B` | A weighted adjacency matrix
`alpha` | Any real value in (0,n^2)

### Details

Solves the graph partitioning problem. Mathematical and implementation details can be found in the vignette

### Value

`X` | A list containing the solution matrix to the primal problem
`y` | A list containing the solution vector to the dual problem
`Z` | A list containing the solution matrix to the dual problem
`pobj` | The achieved value of the primary objective function
`dobj` | The achieved value of the dual objective function

### Examples

    data(Bgpp)
    alpha <- nrow(Bgpp)

    out <- gpp(Bgpp, alpha)

[Package sdpt3r version 0.3 Index]